﻿@{
    Layout = null;
}

<style>
    .k-menu {
        float: right;
        margin-top: -12px;
        min-height: 28px;
        margin-bottom: -12px;
    }

        .k-menu,
        .k-menu > .k-item.k-state-hover,
        .k-menu .k-item:not(.k-state-hover) {
            background: transparent !important;
            border: none !important;
        }

            .k-menu .k-item .k-icon {
                display: none;
            }

            .k-menu > .k-item > .k-link {
                font-size: 18px;
                font-family: Arial;
                font-weight: 900;
                padding: 0;
                display: inline-block;
                line-height: 0;
            }

            .k-menu .k-item div {
                left: -192px !important;
            }

            .k-menu .k-menu-group .k-item > .k-link:before {
                display: inline-block;
                padding-right: 10px;
                position: relative;
                top: 2px;
                font-size: 15px;
            }
</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Program sessions
                @*{{Model.ProgramName}} sessions*@
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <fieldset>

        <table class="table table-striped">

            <thead>
                <tr role="row">
                    <th class="text-left">Date</th>
                    <th class="text-left">Time</th>
                    <th style="width: 200px; text-align: right"><span class="pull-right">Actions</span></th>
                </tr>
            </thead>

            <tbody>
                <tr ng-repeat="session in Model" role="row">
                    <td>
                        {{session.Date}}
                    </td>
                    <td>
                        <span ng-hide='session.editMode'>{{session.Time}}</span>
                        <div ng-show='session.editMode'>

                            <div class="one-third place-left padding-right10">

                                <input ng-model="session.StartTime" k-options="MC.timePickerOptions" kendo-time-picker placeholder="Starts at">
                            </div>
                            <div class="one-third place-left padding-right10">
                                <input ng-model="session.EndTime" k-options="MC.timePickerOptions" kendo-time-picker placeholder="Ends at">
                            </div>
                            <div class="one-third place-left">
                                <button type='button' class="button primary place-left margin5" ng-click="session.editMode = false">Cancel</button>
                                <button type='button' class="button primary place-left margin5" ng-click="save(session)">Save</button>
                            </div>
                        </div>
                    </td>
                    <td>
                        <ul kendo-menu k-on-select=''>
                            <li>
                                ...
                                <ul>
                                    <li class='k-item k-state-default k-first' ng-click="attendances(session.Id)" role='menuitem'>
                                        <span class='k-link jbi-attendance'>Attendance</span>
                                    </li>
                                    <li ngaction='ProgramSession_Edit' class='k-item k-state-default k-first' role='menuitem' ng-click="session.editMode = true">
                                        <span class='k-link jbi-pencil'>Edit</span>
                                    </li>
                                    <li ngaction='ProgramSession_Delete' class='k-item k-state-default k-first' role='menuitem' ng-click="delete(session.Id)">
                                        <span class='k-link jbi-remove'>Delete</span>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </td>
                </tr>
            </tbody>
        </table>

        <hr />

        <a class="place-left button link large" onclick="window.history.back()">Cancel</a>

        <div class="clearfix"></div>
    </fieldset>
</div>
